Create video render job
curl --request POST \
--url https://api.kynva.ai/api/v1/video/render \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sceneSpec": {},
"webhookUrl": "<string>",
"priority": 5,
"renderer": "remotion"
}
'import requests
url = "https://api.kynva.ai/api/v1/video/render"
payload = {
"sceneSpec": {},
"webhookUrl": "<string>",
"priority": 5,
"renderer": "remotion"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sceneSpec: {}, webhookUrl: '<string>', priority: 5, renderer: 'remotion'})
};
fetch('https://api.kynva.ai/api/v1/video/render', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"jobId": "<string>",
"status": "<string>",
"message": "<string>",
"pollUrl": "<string>"
}
}{
"success": true,
"data": {
"jobId": "<string>",
"status": "<string>",
"estimatedDuration": 123,
"pollUrl": "<string>",
"message": "<string>"
}
}Video
Create video render job
Submit a video rendering job from SceneSpec JSON
POST
/
api
/
v1
/
video
/
render
Create video render job
Authorizations
Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)
Body
application/json
SceneSpec JSON defining the video to render
URL to receive completion/failure webhooks
Job priority (1-10, higher = more urgent)
Required range:
1 <= x <= 10Rendering engine: remotion (default, high-quality React-based) or ffmpeg (fast, basic)
Available options:
ffmpeg, remotion ⌘I